Bug 214666 - math/R: libraries do not have a SONAME
Summary: math/R: libraries do not have a SONAME
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-19 12:54 UTC by David Naylor
Modified: 2016-11-30 19:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jrm)


Attachments
Add soname to libR.so (514 bytes, patch)
2016-11-22 07:09 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor freebsd_committer 2016-11-19 12:54:12 UTC
Per stage-qa (using finance/R-cran-tseries as an example):
# make stage-qa
====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/R/library/tseries/libs/tseries.so is linked to /usr/local/lib/R/lib/libRblas.so which does not have a SONAME.  math/R needs to be fixed.
Error: /usr/local/lib/R/library/tseries/libs/tseries.so is linked to /usr/local/lib/R/lib/libR.so which does not have a SONAME.  math/R needs to be fixed.
Comment 1 Joseph Mingrone freebsd_committer 2016-11-22 04:09:46 UTC
I contacted upstream again (https://stat.ethz.ch/pipermail/r-devel/2016-November/073397.html) and they seem unwilling to fix this.  I've also attempted to patch the configure script without luck.  If you have suggestions, please share.
Comment 2 David Naylor freebsd_committer 2016-11-22 07:09:21 UTC
Created attachment 177260 [details]
Add soname to libR.so

The attached patch adds soname to libR :-)
Comment 4 Joseph Mingrone freebsd_committer 2016-11-30 18:18:32 UTC
The libraries under ${PREFIX}/lib/R/lib are not intended (by upstream) to
be registered with ldconfig, but are opened by dlopen(3). This means pkg
will not register shared library dependencies, so we will have to adjust
and bump ports as necessary. When necessary, unfortunately, is unclear
based on how things work upstream.

I'll close this.  Please reopen if you feel it's necessary.
Comment 5 David Naylor freebsd_committer 2016-11-30 19:55:18 UTC
"Resolution: --- → Overcome By Events" sounds about right :-).  I'm guessing "when necessary" is when either a) a major version bump, or b) a user complains.  Thanks for all your work on this.